<?php
	$i=0;
	global $wp_roles;
?>
<h3  class=""><?php  esc_html_e('URL Restriction By Roles','finaluser');?> <small></small>
</h3>
<form  role="form"  name='protected_page_settings2' id='protected_page_settings2'>
	<div id="custom_field_div">
		<div class="form-group row">
			<label for="staticEmail" class="col-md-2  col-form-label"><?php  esc_html_e('Block UR','finaluser');?>L</label>
			<div class=" col-md-6 ">
				<input type="text" class="form-control" name="page_url" id="page_url" placeholder="<?php esc_html_e('Enter Full URL e.g. http://www.google.com','finaluser'); ?>">
			</div>
		</div>
		<div class="form-group row">
			<label  class="col-md-2   control-label"><?php  esc_html_e('Role [Hold Ctrl to select more than 1 role]','finaluser');?></label>
			<div class="col-md-6 ">
				<select id='notaccessroles' name='notaccessroles' multiple class=' form-control' size="12" >
					<?php
						foreach ( $wp_roles->roles as $key=>$value ){
							echo "<option value='".esc_html($key)."' >".esc_html($value['name'])."</option>";
						}
					?>
					<option value='visitor' > <?php esc_html_e('Visitor','finaluser'); ?></option>
				</select>
			</div>
		</div>
		<?php
			$args = array(
			'child_of'     => 0,
			'sort_order'   => 'ASC',
			'sort_column'  => 'post_title',
			'hierarchical' => 1,
			'post_type' => 'page'
			);
		?>
		<div class="form-group row">
			<label  class="col-md-2   control-label"><?php  esc_html_e('Redirect to/Destination: ','finaluser');?></label>
			<div class="col-md-6 ">
				<?php
					if ( $pages = get_pages( $args ) ){
						echo "<select id='redpage' name='redpage' class='form-control'>";
						foreach ( $pages as $page ) {
							echo "<option value='".esc_html($page->ID)."'>".esc_html($page->post_title)."</option>";
						}
						echo "</select>";
					}
				?>
			</div>
		</div>
	</div>
</form>
<div class="col-xs-12">
	<label  class="col-md-2   control-label"></label>
	<button class="btn btn-warning btn-xs" onclick="return iv_update_protected_settings_page();"><?php  esc_html_e('Add URL','finaluser');?></button>
</div>
<div class=" col-md-12  bs-callout bs-callout-info">
	<?php  esc_html_e('Blocked URL','finaluser');?>
</div>
<form class="form-horizontal" role="form"  name='protected_page_table' id='protected_page_table'>
	<div id="all_pages">
		<table id="allredirects" class="table table-bordered table-hover table-responsive">
			<thead>
				<tr>
				  <th><?php  esc_html_e('Blocked URL','finaluser');?></th>
				  <th><?php  esc_html_e('Target User Role','finaluser');?></th>
				  <th><?php  esc_html_e('Redirect To/ Destination','finaluser');?></th>
				  <th><?php  esc_html_e('Action','finaluser');?></th>
				</tr>
			</thead>
			<tbody>
				<?php
					$all_re_page=get_option('_iv_membership_redirect_page',true);
					$ii=0;
					if(isset($all_re_page['url'])){
						foreach($all_re_page['url'] as $row1){
							if(isset($all_re_page['url'][$ii])){ ?>
							<tr><td><?php echo esc_url($all_re_page['url'][$ii]);?></td><td><?php echo esc_html($all_re_page['roles'][$ii]);?></td><td><?php echo get_the_title($all_re_page['redirectto'][$ii]);?></td><td><button type="button"  class="btnDelete">Delete</button><input type="hidden" name="url[]" id="url[]" value="<?php echo esc_html($all_re_page['url'][$ii]);?>"><input type="hidden" name="roles[]" id="roles[]" value="<?php echo esc_url($all_re_page['roles'][$ii]);?>"><input type="hidden" name="redirectto[]" id="redirectto[]" value="<?php echo esc_url($all_re_page['redirectto'][$ii]);?>"></td></tr>
							<?php
							}
							$ii++;
						}
					}
				?>
			</tbody>
		</table>
	</div>
</form>
